Skip to main content

Company settings

Manage your locations, dispatch zones, non-working days and terms and conditions.

Paths are relative to https://api.rushhourapp.com/api/v1. See the API reference overview for how to read each entry.

Locations​

MethodPathSummary
GET/WarehousesLists the company's locations, optionally filtered.
POST/WarehousesAdd location.
GET/Warehouses/{id}Get location.
PUT/Warehouses/{id}Update location.
DELETE/Warehouses/{id}Delete location.
POST/Warehouses/{id}/moveMove to location.
POST/Warehouses/ValidateWarehouseValidates warehouse details before creation or update.

GET /Warehouses​

Lists the company's locations, optionally filtered.

Required access: the Locations tab - View locations permission.

Also accepts the shared list parameters.

Response: envelope; data is WarehousePagedList.

POST /Warehouses​

Add location.

Required access: the Locations tab - Create/Edit/delete locations permission.

Request body: Warehouse (JSON).

Response: envelope; data is Warehouse.

GET /Warehouses/{id}​

Get location.

Required access: the Locations tab - View locations permission.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes

Response: envelope; data is Warehouse.

PUT /Warehouses/{id}​

Update location.

Required access: the Locations tab - Create/Edit/delete locations permission.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes

Request body: Warehouse (JSON).

Response: envelope; data is Warehouse.

DELETE /Warehouses/{id}​

Delete location.

Required access: the Locations tab - Create/Edit/delete locations permission.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes

Response: envelope; data is Warehouse.

POST /Warehouses/{id}/move​

Move to location.

Required access: the Edit/Delete/Create Route permission.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes

Request body: Route (JSON).

Response: envelope; data is Warehouse.

POST /Warehouses/ValidateWarehouse​

Validates warehouse details before creation or update.

Request body: Warehouse (JSON).

Response: envelope; data is ValidateWarehouseDto.

Zones​

MethodPathSummary
GET/ZonesSearch zones.
POST/ZonesAdd zone.
GET/Zones/{id}Get zone.
PUT/Zones/{id}Update zone.
DELETE/Zones/{id}Delete zone.

GET /Zones​

Search zones.

Required access: the Zones - view Zones permission.

Also accepts the shared list parameters.

Response: envelope; data is ZonePagedList.

POST /Zones​

Add zone.

Required access: the Zones - create/edit/delete Zones permission.

Request body: Zone (JSON).

Response: envelope; data is Zone.

GET /Zones/{id}​

Get zone.

Required access: the Zones - view Zones permission.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes

Response: envelope; data is Zone.

PUT /Zones/{id}​

Update zone.

Required access: the Zones - create/edit/delete Zones permission.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes

Request body: Zone (JSON).

Response: envelope; data is Zone.

DELETE /Zones/{id}​

Delete zone.

Required access: the Zones - create/edit/delete Zones permission.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes

Response: envelope; data is Zone.

Non-working days​

MethodPathSummary
GET/NonWorkingDaysGet non-working days.
POST/NonWorkingDaysAdd non-working day.
PUT/NonWorkingDaysEdit non-working day.
DELETE/NonWorkingDaysRemove non-working day.

GET /NonWorkingDays​

Get non-working days.

Also accepts the shared list parameters.

Response: envelope; data is NonWorkingDayPagedList.

POST /NonWorkingDays​

Add non-working day.

Required access: the Company Admin role.

Request body: NonWorkingDay (JSON).

Response: envelope; data is NonWorkingDay.

PUT /NonWorkingDays​

Edit non-working day.

Required access: the Company Admin role.

Parameters

NameInTypeRequiredDescription
idqueryinteger (int32)No

Request body: NonWorkingDay (JSON).

Response: envelope; data is NonWorkingDay.

DELETE /NonWorkingDays​

Remove non-working day.

Required access: the Company Admin role.

Parameters

NameInTypeRequiredDescription
nonWorkingDayIdqueryinteger (int32)No

Response: envelope; data has no documented shape.

Terms and conditions​

MethodPathSummary
GET/TermsAndConditionsGet terms and conditions.
POST/TermsAndConditionsAdd terms and conditions.
PUT/TermsAndConditions/{id}Update terms and conditions.
DELETE/TermsAndConditions/{id}Delete terms and conditions.

GET /TermsAndConditions​

Get terms and conditions.

Required access: the Terms & Conditions permission.

Response: envelope; data is array of TermsAndConditionsDto.

POST /TermsAndConditions​

Add terms and conditions.

Required access: the Terms & Conditions permission.

Request body: CreateUpdateTermsAndConditionsDto (JSON).

Response: envelope; data is TermsAndConditionsDto.

PUT /TermsAndConditions/{id}​

Update terms and conditions.

Required access: the Terms & Conditions permission.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes

Request body: CreateUpdateTermsAndConditionsDto (JSON).

Response: envelope; data is TermsAndConditionsDto.

DELETE /TermsAndConditions/{id}​

Delete terms and conditions.

Required access: the Terms & Conditions permission.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes

Response: envelope; data has no documented shape.